Conform to all linter warnings/advice
ClosedPublic

Authored by dduvall on Oct 25 2017, 5:35 PM.

Details

Reviewers
thcipriani
hashar
Group Reviewers
Release-Engineering-Team
Commits
rGBLBR5b5ad0496ff7: Conform to all linter warnings/advice
Patch without arc
git checkout -b D845 && curl -L https://phabricator.wikimedia.org/D845?download=true | git apply
Summary

Fixed all linter warnings and advice except for vet's rule about unkeyed
composite literals which was disabled via a -composites=false flag in
.arclint. Most unkeyed literals (e.g. build.Run{"command"}) in this
project just seem too usefully succinct compared to their more verbose
keyed counterparts.

Depends on D841

Test Plan

Run arc lint --everything and verify there are no warnings or advice.

Diff Detail

Repository
rGBLBR Blubber
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
dduvall created this revision.Oct 25 2017, 5:35 PM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptOct 25 2017, 5:35 PM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
hashar accepted this revision as: hashar.Oct 27 2017, 7:19 AM

I guess that looks legit? :-}

This revision is now accepted and ready to land.Oct 27 2017, 7:19 AM
thcipriani accepted this revision.Oct 31 2017, 12:08 AM

Ah docker conventions. Making things nicer :)

dduvall updated this revision to Diff 2297.Nov 6 2017, 5:15 PM

Rebased

This revision was automatically updated to reflect the committed changes.